<?php
$t = "Управление рекламой";
include_once '../core/core.php';
if (!$user->auth()){
	$core->GoToPage("/login.lm");
	die();
}
$id = isset($_GET["id"]) && !empty($_GET["id"]) && is_numeric($_GET["id"])?max(0, intval($_GET["id"])):0;

if ($act == "enb" && $id > 0){
    $ads = $db->getObject("SELECT * FROM `ads` WHERE `aid` = '".$id."' AND `sid` = '".($user->getData()->id)."' LIMIT 1");
    if ($ads == NULL){
        $core->regError("","Объект не найден.", 1,"ADS");
    } else {
        $state = ($ads->enabled == 1?0:1);
        $db->Query("UPDATE `ads` SET `enabled`='".$state."' WHERE `aid` = '".$id."' AND `sid` = '".($user->getData()->id)."' LIMIT 1");
        $core->GoToPage("/ads.lm");
    }
}
if ($act == "del" && $id > 0){
    $ads = $db->getObject("SELECT * FROM `ads` WHERE `aid` = '".$id."' AND `sid` = '".($user->getData()->id)."' LIMIT 1");
    if ($ads == NULL){
        $core->regError("","Объект не найден.", 1,"ADS");
    } else {
        $db->Query("DELETE FROM `ads` WHERE `aid` = '".$id."' AND `sid` = '".($user->getData()->id)."' LIMIT 1");
        include_once '../core/head.php';
        echo '<div class="alert alert-success">Рекламная ссылка удалена</div>';
    }
}
$ads = $db->getObject("SELECT * FROM `ads` WHERE `aid` = '".$id."' AND `sid` = '".($user->getData()->id)."' LIMIT 1");
if (isset($_POST["add"])){
    $name   = isset($_POST["name"]) && !empty($_POST["name"])?$core->FilterString($_POST["name"]):"";
    $url    = isset($_POST["url"]) && !empty($_POST["url"])?$core->FilterString($_POST["url"]):"";
    $data1    = isset($_POST["data1"]) && !empty($_POST["data1"])?$core->FilterString($_POST["data1"]):"";
    $data2    = isset($_POST["data2"]) && !empty($_POST["data2"])?$core->FilterString($_POST["data2"]):"";
    $data3    = isset($_POST["data3"]) && !empty($_POST["data3"])?$core->FilterString($_POST["data3"]):"";
    if ($name == ""){
        $core->regError("","Не указано \"Наименование ссылки\"", 1,"ADS");
    } elseif ($url == ""){
        $core->regError("","Не указана \"Ссылка\"", 2,"ADS");
    } else {
        include_once '../core/head.php';
        if ($ads == NULL){
            $db->Query("INSERT INTO `ads`(`sid`, `url`, `name`, `data1`, `data2`, `data3`) VALUES ('".($user->getData()->id)."','".$url."','".$name."','".$data1."','".$data2."','".$data3."');");
		    echo '<div class="alert alert-success">Ссылка добавлена.</div>';
        } else {
            $db->Query("UPDATE `ads` SET `url`='".$url."',`name`='".$name."',`data1`='".$data1."',`data2`='".$data2."',`data3`='".$data3."' WHERE `aid` = '".$id."' AND `sid` = '".($user->getData()->id)."' LIMIT 1");
            echo '<div class="alert alert-success">Ссылка сохранена.</div>';
            $ads = NULL;
        }
    }
}

include_once '../core/head.php';
if ($core->isBooleanError()){
	foreach ($core->showError() as $csE){
		echo '<div class="alert alert-danger">#Err'.$csE["code"].'</b> | '.$csE["utxt"].'</div>';
	}	
}
echo '<div class=""><div class="panel panel-default">
<div class="panel-heading">'.($ads != NULL?'Редактирование рекламы':"Добавление рекламы").'</div>
<div class="panel-body">
<p style="margin-bottom:0">Вы можете добавить свои ссылки рекламы, для вывода их на сайте посмотрите инструкцию в справке.</p><br>';

echo'
<form class="form-horizontal" method="POST" action="/ads.lm'.($ads != NULL?'?id='.$ads->aid:'').'">
        <div class="form-group">
            <label for="inputData2" class="col-sm-2 control-label">Наименование ссылки</label>
            <div class="col-sm-10">
                <input type="text" class="form-control" value="'.($ads != NULL?$ads->name:"").'" name="name" id="inputData2" placeholder="Описание, к примеру: Скрипты для сайта">
            </div>
		</div>
		<div class="form-group">
            <label for="inputData1" class="col-sm-2 control-label">Ссылка</label>
            <div class="col-sm-10">
                <input type="text" class="form-control" value="'.($ads != NULL?$ads->url:"").'" name="url" id="inputData1" placeholder="Ссылка, к примеру: https://dcms-help.ru/">
            </div>
		</div>
		<div class="form-group">
            <label for="inputData3" class="col-sm-2 control-label">Доп. информация 1</label>
            <div class="col-sm-10">
                <textarea class="form-control" name="data1" id="inputData3" placeholder="Необезательно, дополнительные данные если требуются.">'.($ads != NULL?$ads->data1:"").'</textarea>
            </div>
		</div>
		<div class="form-group">
            <label for="inputData4" class="col-sm-2 control-label">Доп. информация 2</label>
            <div class="col-sm-10">
                <textarea class="form-control" name="data2" id="inputData4" placeholder="Необезательно, дополнительные данные если требуются.">'.($ads != NULL?$ads->data2:"").'</textarea>
            </div>
		</div>
		<div class="form-group">
            <label for="inputData5" class="col-sm-2 control-label">Доп. информация 3</label>
            <div class="col-sm-10">
                <textarea class="form-control" name="data3" id="inputData5" placeholder="Необезательно, дополнительные данные если требуются.">'.($ads != NULL?$ads->data3:"").'</textarea>
            </div>
		</div>
		<div class="form-group" style="margin-bottom:0">
        <div class="col-sm-offset-2 col-sm-10 text-right">
            <button type="submit" class="btn btn-primary" name="add">'.($ads != NULL?'Сохранить':"Добавить").'</button>
        </div>
    </div>
		
		</form>

</div>
<table class="table"><thead><tr>
    <th>#</th>
    <th>Наименование</th>
    <th>Действие</th>
</tr></thead><tbody>';
$t_h = 1;
$data = $db->Query("SELECT * FROM `ads` WHERE `sid` = '".$user->getData()->id."' ORDER BY `aid` DESC"); 
while ($d = mysqli_fetch_assoc($data)){
	echo '<tr><th scope="row">'.$t_h.'</th><td><a class="pim-tt" href="'.$d["url"].'"  '.tooltip_html_gen($d["url"]).'>'.$d["name"].'</a></td><td>
    <a class="btn btn-primary btn-xs pim-tt" '.tooltip_html_gen("Редактировать").' href="?id='.$d["aid"].'"><i class="fa fa-fw fa-edit"></i></a>
    '.($d["enabled"] == 0?'<a class="btn btn-danger btn-xs pim-tt" '.tooltip_html_gen("Ссылка скрыта").' href="?act=enb&id='.$d["aid"].'"><i class="fa fa-fw fa-close"></i></a>':'').'
    '.($d["enabled"] == 1?'<a class="btn btn-success btn-xs pim-tt" '.tooltip_html_gen("Ссылка отображается").' href="?act=enb&id='.$d["aid"].'"><i class="fa fa-fw fa-check"></i></a>':'').'
    <a class="btn btn-danger btn-xs pim-tt" '.tooltip_html_gen("Удалить").' href="?act=del&id='.$d["aid"].'"><i class="fa fa-fw fa-trash"></i></a>
    </td></tr>';
	$t_h++;
}
echo '</tbody></table></div></div>';
include_once '../core/foot.php';
?>